package com.qmth.themis.business.bean.cloudmark;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 推送基础参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/9/28
 */
public class BaseParams implements Serializable {

    @ApiModelProperty(value = "机构id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long orgId;

    @ApiModelProperty(value = "密钥key")
    String accessKey;

    @ApiModelProperty(value = "密钥secret")
    String accessSecret;

    public BaseParams() {

    }

    public BaseParams(Long orgId, String accessKey, String accessSecret) {
        this.orgId = orgId;
        this.accessKey = accessKey;
        this.accessSecret = accessSecret;
    }

    public void resetDefaultData() {
        this.orgId = null;
        this.accessKey = null;
        this.accessSecret = null;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }
}
